package com.bsoft.api.controller;

import com.bsoft.api.common.Result;
import com.bsoft.api.common.annotations.Token;
import com.bsoft.api.model.SerDisease;
import com.bsoft.api.model.reqmodel.Disease;
import com.bsoft.api.model.respmodel.DiseaseLevel;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;

@Api(tags = "疾病信息Api")
@RestController
public class SerDiseaseController {

    /**
     * 根据pageId查询板块数值
     * @return
     * @throws Exception
     */
    @PostMapping("disease/level")
    @Token
    @ApiOperation("根据等级查询疾病信息")
    public Object getDiseaseByLevel(@RequestBody Disease.DiseaseByLevel disease) throws InterruptedException {
        return Result.success(new ArrayList<DiseaseLevel>(){
            {
                add(new DiseaseLevel(){{
                    setDiseaseLevelList(new ArrayList<DiseaseLevel>(){
                        {
                            add(new DiseaseLevel());
                        }
                    });
                }});
            }
        } );
    }

    @PostMapping("disease/name")
    @Token
    @ApiOperation("根据疾病名称查询疾病信息")
    public  Object getDiseaseByMdcName(@RequestBody Disease.DiseaseByName disease) throws InterruptedException {
        return Result.success(new SerDisease());
    }

    @PostMapping("disease/level/info")
    @Token
    @ApiOperation("查询特定等级下所有数据以及子数据")
    public  Object getDiseaseByLevelSon(@RequestBody Disease.DiseaseByLevelSon disease) throws InterruptedException {
        return Result.success(new SerDisease());
    }

}
