package com.bsoft.api.model.reqmodel;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class Disease {
    /**
     * 等级查询疾病实体
     */
    public static class DiseaseByLevel{
        @ApiModelProperty(value = "等级",required = true)
        private BigDecimal level;
        @ApiModelProperty(value = "时间",required = true)
        private BigDecimal date;
        @ApiModelProperty("编码")
        private String mdcCode;

        public BigDecimal getLevel() {
            return level;
        }

        public void setLevel(BigDecimal level) {
            this.level = level;
        }

        public BigDecimal getDate() {
            return date;
        }

        public void setDate(BigDecimal date) {
            this.date = date;
        }

        public String getMdcCode() {
            return mdcCode;
        }

        public void setMdcCode(String mdcCode) {
            this.mdcCode = mdcCode;
        }
    }

    /**
     * 名称查询疾病实体
     */
    public static class DiseaseByName{

        @ApiModelProperty(value = "时间",required = true)
        private BigDecimal date;
        @ApiModelProperty("疾病名称")
        private String mdcName;

        public BigDecimal getDate() {
            return date;
        }

        public void setDate(BigDecimal date) {
            this.date = date;
        }

        public String getMdcName() {
            return mdcName;
        }

        public void setMdcName(String mdcName) {
            this.mdcName = mdcName;
        }
    }

    /**
     * 特定等级下所有数据以及子数据实体
     */
    public static class DiseaseByLevelSon{
        @ApiModelProperty(value = "等级",required = true)
        private BigDecimal level;
        @ApiModelProperty(value = "时间",required = true)
        private BigDecimal date;

        public BigDecimal getDate() {
            return date;
        }

        public void setDate(BigDecimal date) {
            this.date = date;
        }
        public BigDecimal getLevel() {
            return level;
        }

        public void setLevel(BigDecimal level) {
            this.level = level;
        }

    }


}


